/*
Theme Name: Brockett Hello Child
Theme URI: https://elementor.com/hello-theme/?utm_source=wp-themes&utm_campaign=theme-uri&utm_medium=wp-dash
Template: hello-elementor
Author: Elementor Team
Author URI: https://elementor.com/?utm_source=wp-themes&utm_campaign=author-uri&utm_medium=wp-dash
Description: Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 3.0.1.1707834477
Updated: 2024-02-13 14:27:57

*/

:root {
    /* Standard Colors */
    --clr-white: #fff;
    --clr-black: #000;
    --clr-black-alt1: #231f20;
    --clr-black-alt2: #292929;
    --clr-light-border: #ddd;

    /* Add Elementor Global Colors Here for this site */
    --clr-primary: #521214;
    --clr-secondary: #E0D4A3;
    --clr-text: #7A7A7A;
    --clr-accent: #0D2B5F;

    /* Elementor Fonts. Replace main fonts in quotes here as needed from Ele site settings */
    --ele-ff-primary: 'Style Script', sans-serif;
    --ele-ff-secondary: 'Montserrat', sans-serif;
    --ele-ff-text: 'Montserrat', sans-serif;
    --ele-ff-roboto: 'Roboto', sans-serif;
}

/* Moving the ADA button up a bit on mobile to get it out of the way of contact bar the bottom. Turn of if needed. */
@media(max-width: 767px){
	.userway_buttons_wrapper {
		bottom: 50px !important;
	}
}

/* 
**
***
    CUSTOM SHRINKING HEADER ON SCROLL :)
    Be sure to add the ID 'ele-shrink-header' on the header element in elementor.
    On the header element, under 'advanced' > 'Motion Effects', set 'Sticky' to 'Top' and add all the breakpoints.
    'Offset' and 'Effects Offset' to 0, those are controlled in js/app.js, as well as adding/removing the 'scrolled' class.
    See comments below on what values can be adjusted as needed per site.
***
**
*/

/* Shrink header on scroll */
.ele-shrink-header {
    transition: all 0.3s linear;
}
.ele-shrink-header.scrolled {
    width: 100% !important;
    padding: 0px 10px; /* Adjust as needed */
    transition: all .2s linear;
	-webkit-transition: all .2s linear;
	-moz-transition: all .2s linear;
}
/* Logo default state */
.ele-shrink-header img {
    width: 100%;
    transition: all .2s linear;
    -webkit-transition: all .2s linear;
    -moz-transition: all .2s 
}
/* Mobile logo on scroll */
.ele-shrink-header.scrolled img {
    width: 80%; /* Adjust as needed */
}
 /* Shrink Logo more only on tablet and larger */
@media(min-width: 767px){
    .ele-shrink-header.scrolled img {
        width: 70%; /* Adjust as needed */
    }
}
/* Shrink nav items */
#ele-shrink-header-desktop.scrolled .elementor-nav-menu li a {
    font-size: 1rem; /* Adjust as needed */
    transition: all .2s linear;
	-webkit-transition: all .2s linear;
	-moz-transition: all .2s linear;
}


/**************************************************
    WALKING TRAIL MAP
***************************************************/
.map-heading-bar {
    text-align: center;
    gap: 15px;
    background-color: var(--clr-primary);
    padding: 1em;
}
.map-heading-bar .map-heading-bar-title {
    color: var(--clr-white);
    font-size: 3rem;
    font-family: var(--ele-ff-primary);
    font-weight: 400;
    letter-spacing: 1px;
    margin: 0;
    padding: 0;
}
.map-heading-bar .fa-compass,
.site-card .fa-info-circle,
.site-card .fa-map-pin {
    margin-right: 10px;
}
.fa-arrow-up-right-from-square {
    margin-left: 5px;
    font-size: 12px;
}
.site-details .details-website-link {
    display: flex;
    flex-direction: row;
    align-items: center;
    color: var(--clr-black);
}
.site-details .details-website-link:hover {
    color: var(--clr-accent);
    text-decoration: underline;
    transition: .3s ease-in-out;
}
.no-sites-found {
    margin: 5em 0;
}
.historical-sites-posts {
    /* display: flex;
    flex-direction: column;
    justify-content: center; */

    display: grid;
    grid-template-columns: repeat(1, 1fr);

    max-width: 1400px;
    margin: 0 auto;
    padding: 4em 1em;
    gap: 1.5em;
}
.site-card {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* padding: 50px 0px; */

    padding: 1em 1em 2em 1em;
    border: 1px solid var(--clr-light-border);
    box-shadow: 4px 2px 12px rgba(0, 0, 0, 0.1);
}
/* .site-card:not(:last-child)::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 85%;
    height: 1px; 
    background-color: var(--clr-light-border);
    transform: translateX(-50%);
} */
.site-card .site-card-img {
    padding: 3px;
    /* border: 1px solid var(--clr-light-border); */
    border-radius: 0;
    width: 100%;
    height: auto;
    object-fit: cover;
    max-height: 200px;
}
.site-card h4 {
    font-size: 1.25rem;
    margin: 0;
}
.site-card p {
    margin-bottom: 2em;
}
.site-card .site-card-btn,
.site-details .site-card-btn {
    font-size: .85rem;
    padding: 10px 18px 12px 18px;
    background-color: var(--clr-accent);
    color: var(--clr-white);
    text-transform: uppercase;
    max-width: fit-content;
    cursor: pointer;
    font-family: "Segoe UI", sans-serif;
    font-weight: 400;
}
.site-card .site-card-btn:hover,
.site-details .site-card-btn:hover {
    color: var(--clr-white);
}
.leaflet-popup-content br,
.map-marker-content-container br {
    display: none;
}
.map-marker-content-container h4 {
    font-size: 1rem;
    font-weight: 700;
}
.img-border img {
    padding: 3px;
}
.icon-row {
    display: flex; 
    gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}
.icon-row > * {
    margin: 0;
    padding: 0;
}
.h-facts {
    margin-bottom: 3em;
}
.h-facts h3 {
    font-family: var(--ele-ff-secondary);
    color: var(--clr-white);
    font-weight: 700;   
    font-size: 2rem;
}
.h-facts ul {
    padding-left: 15px;
}
.h-facts ul li {
    margin-bottom: 10px;
    font-family: var(--ele-ff-roboto);
    color: var(--clr-white);
}
.site-details {
    padding: 1em 0;
    font-family: var(--ele-ff-roboto);
    color: var(--clr-black);
}
.cat-list {
    font-family: var(--ele-ff-roboto);
    font-weight: 400;
    margin: 0;
}
.site-details .external-btn {
    padding: 12px 30px;
    color: var(--clr-white);
    background-color: var(--clr-accent);
}
.site-details .external-btn:hover {
    color: var(--clr-white);
    background-color: var(--clr-accent);
}
.site-navigation-buttons {
    display: flex;
    justify-content: center;
    gap: 0;
    font-family: var(--ele-ff-secondary);
}
.site-nav-btn {
    font-family: var(--ele-ff-secondary);
    color: var(--clr-primary);
    font-size: 1.125rem;
    padding: 10px 20px;
    font-weight: 500;
    font-size: 15px;
}
.site-navigation-section {
    /* display: none; */
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.site-navigation-buttons .site-nav-btn:hover,
.site-navigation-section .site-nav-btn:hover {
    color: var(--clr-white);
}
.site-nav-btn.prev-button {
    background-color: var(--clr-black-alt2);
    color: var(--clr-white);
    border-radius: 10px 0px 0px 10px;
}
.site-nav-btn.next-button {
    background-color: var(--clr-accent);
    color: var(--clr-white);
    border-radius: 0px 10px 10px 0px;
}
.fa-arrow-left-long {
    margin-right: 10px;
}
.fa-arrow-right-long {
    margin-left: 10px;
}
.site-category-cards {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 3px;
}
.site-category-card {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 200px;
    background-color: var(--clr-primary);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
.site-category-card::after {
    position: absolute;
    content: '';
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--clr-black-alt2);
    opacity: .8;
    z-index: 0;
}
.site-category-card:hover::after {
    transition: .3s ease-in-out;
    opacity: .5;
}
.site-category-cards .site-category-card-link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    color: var(--clr-white);
    z-index: 1;
}
.site-category-cards .site-category-card-link:hover {
    color: var(--clr-white);
}
.site-card-content {
    /* padding-left: 5px; */
    text-align: center;
}
.site-card-content h4 {
    font-size: 2rem;
    color: var(--clr-primary);
    font-weight: 700;
}

@media(min-width: 767px){
    .site-navigation-section {
        /* display: flex;
        flex-direction: column;
        gap: 20px; */
        flex-direction: row;
        align-items: center;
        justify-content: end;
    }
    .site-category-cards {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media(min-width: 1024px){
    .site-card {
        flex-direction: row;
        padding: 1em;
    }
    .site-card .site-card-img {
        max-width: 400px;
    }
    .site-card-content {
        padding: 0 1em;
        text-align: left;
    }
}